/*!
 * Pot{#if PotLite}Lite{#endif}.js - JavaScript library
 *
 * Pot{#if PotLite}Lite{#endif}.js is an implemental utility library
 *  that can execute JavaScript without burdening the CPU.
 *
 * Version {#$version}, {#$date}
 * Copyright (c) {#$year} polygon planet <polygon.planet.aqua@gmail.com>
 * Dual licensed under the MIT or GPL v2 licenses.
 * https://github.com/polygonplanet/Pot.js
 * http://polygonplanet.github.com/Pot.js/
 */
/**
 * Project Pot{#if PotLite}Lite{#endif}.js
 *
 * @description
 *  <p>
 *  Pot.js is a JavaScript library that can be performed without causing
 *   stress to the UI and the CPU load by using easy loop iteration functions.
 *  With respect to load, you can implement a particular application without
 *   requiring the programmer to be aware of.
 *  Pot.js is built around the asynchronous processing
 *   and iterator with Deferred.
 *  Pot.Deferred is a Deferred object like MochiKit (or JSDeferred like).
 *  That makes it possible to various iterations (forEach, filter, map,
 *   reduce, zip, repeat, some etc.).
 *  Moreover, Pot.js is an utility library that handles string processes with
 *   various algorithms,
 *   and it has the Signal object that can write like aspect-oriented (AOP),
 *   and it has the Event object for DOM listener,
 *   and treats it the File API for HTML5. etc.
 *  And, Pot.js never pollute the prototype of the global objects.
 *  We only define the 'Pot' object in the global scope basically.
 *  You can use Pot.js with other available libraries without fear of conflict.
 *  Pot.js is a cross-browser library that works on a Web browser, Node.js,
 *   userscript (Greasemonkey, Scriptish) XUL, or (Firefox Add-ons) etc.
 *  PotLite.js is a light version that extracts only the part of asynchronous
 *   processing (Deferred etc.) has been implemented in Pot.js.
 *  </p>
 *
 * @description
 *  <p>
 *  Pot.js は、
 *   JavaScript のループ処理における CPU 負荷を抑え、
 *   UI にストレスを与えることなく実行できるライブラリです。
 *  負荷に関して、とくにプログラマが意識する必要なく
 *   アプリケーションを実装することができます。
 *  Pot.js は、Deferred による非同期処理や、
 *   非同期イテレータを中心に作られています。
 *  MochiKit ライク (または JSDeferred ライク) な Pot.Deferred によって、
 *   多様なイテレート (forEach, filter, map, reduce, zip, repeat, some など)
 *   を可能とします。
 *  また、様々なアルゴリズムを扱った文字列処理や、
 *   アスペクト指向 (AOP) で書ける シグナルやイベント処理、
 *   HTML5 に関する File API などを扱うことができる
 *   汎用ユーティリティライブラリです。
 *  そして、グローバルオブジェクトの prototype を汚染しません。
 *  基本的にグローバルに定義されるのは 'Pot' オブジェクトだけなので
 *   コンフリクトの心配なく、他の JavaScript ライブラリと共に利用できます。
 *  Pot.js は、クロスブラウザであり、Web ブラウザ上や Node.js、
 *   userscript (Greasemonkey, Scriptish) や
 *   XUL (Firefox アドオン) 上などで動きます。
 *  PotLite.js は、
 *   Pot.js で実装されている Deferred などの
 *   非同期処理の部分だけを抽出したライトバージョンです。
 *  </p>
 *
 *
 * @fileoverview   Pot{#if PotLite}Lite{#endif}.js library
 * @author         polygon planet
 * @version        {#$version}
 * @date           {#$date}
 * @link           https://github.com/polygonplanet/Pot.js
 * @link           http://polygonplanet.github.com/Pot.js/
 * @copyright      Copyright (c) {#$year} polygon planet <polygon.planet.aqua@gmail.com>
 * @license        Dual licensed under the MIT or GPL v2 licenses.
 *
 * Based:
 *   - JSDeferred
 *       http://github.com/cho45/jsdeferred
 *   - MochiKit.Async
 *       http://mochikit.com/
 *   - jQuery.Deferred
 *       http://jquery.com/
 *   - Tombloo library (Firefox Add-On)
 *       https://github.com/to/tombloo/wiki
 */
/*
 * JSDoc Comment
 * http://code.google.com/intl/ja/closure/compiler/docs/js-for-compiler.html
 */
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
/**
 * @namespace Pot{#if PotLite}Lite{#endif}.js
 */
(function PotScriptImplementation(globals) {
'use strict';

/*{#code}*/

}(this || {}));
